Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157104 - CAN-2005-1174 krb5 buffer overflow, heap corruption in KDC (CAN-2005-1175)
Summary: CAN-2005-1174 krb5 buffer overflow, heap corruption in KDC (CAN-2005-1175)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20050612,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 21:06 UTC by Josh Bressers
Modified: 2007-12-18 15:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-18 15:21:31 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-06 21:06:48 UTC
+++ This bug was initially created as a clone of Bug #157103 +++

The MIT krb5 Key Distribution Center (KDC) implementation can corrupt
the heap by attempting to free memory at a random address when it
receives a certain unlikely (but valid) request via a TCP connection.
This attempt to free unallocated memory can result in a KDC crash and
consequent denial of service.  [CAN-2005-1174]

Additionally, the same request, when received by the KDC via either
TCP or UDP, can trigger a bug in the krb5 library which results in a
single-byte overflow of a heap buffer.  Additionally, application
servers are vulnerable to a highly improbable attack, provided that
the attacker controls a realm sharing a cross-realm key with the
target realm. [CAN-2005-1175]

An unauthenticated attacker may be able to use these vulnerabilities
to execute arbitrary code on the KDC host, potentially compromising an
entire Kerberos realm.  No exploit code is known to exist at this
time.  Exploitation of these vulnerabilities is believed to be
difficult.

Comment 1 Josh Bressers 2005-05-06 21:07:34 UTC
FC4 will be out before the embargo on this issue is lifted, we'll have to keep
that in mind.

Comment 2 Josh Bressers 2005-07-07 13:01:32 UTC
According to MIT, in order to exploit CAN-2005-1175 the attacker must control a
realm sharing a cross-realm key with the target realm.  I'm lowering the
severity to "moderate" for that particular issue.

Comment 3 Mark J. Cox 2005-07-12 18:00:07 UTC
public at http://web.mit.edu/kerberos/www/advisories/ removing embargo

Comment 4 Christian Iseli 2007-01-22 11:05:26 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 5 Tomas Hoger 2007-12-18 15:21:31 UTC
Issue was fixed in upstream version 1.4.2.  All current Fedora versions ship
version 1.6+.  Closing.


Note You need to log in before you can comment on or make changes to this bug.